<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author  rodrigo.hernandez
@description  página que muestra las areas asignadas a un recolector
@cu  CU-TV-0F-002
@version  2.0

-->


<h:form id="areasRecolectorForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" >

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

    <!-- Input para enviar parametro que indica si se va a realizar un proceso de asignación de recolector
        o de desasignacion de area-->
    <h:inputHidden id="paramSeleccionManzanasOfertas"
                   value="#{asignacionRecolector.valorSeleccionManzanasOfertas}" />

    <!-- Input para capturar id's de areas de oferta seleccionadas -->
    <h:inputHidden id="codigoManzanaHidden666"
                   value="#{asignacionRecolector.manzanaVeredaCodigo}" />

    <!-- Input para capturar id del recolector -->
    <h:inputHidden id="idRecolectorMapa"
                   value="#{asignacionRecolector.recolectorSeleccionado.login}" />

    <!-- Link para activar selección de Manzanas/Veredas -->
    <p:commandLink id="linkAdicionarManzanaASeleccionados666"
                   process="@this, codigoManzanaHidden666, paramSeleccionManzanasOfertas, "
                   style="visibility: hidden" />

    <p:spacer height="5" />

    <p:fieldset>

        <legend>
            <h:outputText styleClass="legendTitle"
                          value="Regiones asignadas a #{asignacionRecolector.recolectorSeleccionado.nombreFuncionario}" />
        </legend>

        <p:spacer height="20" />

        <p:dataTable id="regionesRecolectorSeleccionadoDT"
                     widgetVar="regionesRecolectorSeleccionadoWV"
                     value="#{asignacionRecolector.regionesRecolectorSeleccionado}"
                     var="region" paginator="true" rows="5"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                     {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                     emptyMessage="El recolector no tiene regiones asignadas para el área seleccionada">

            <f:facet name="header">
                <h:outputText value="Áreas de un Recolector" />
            </f:facet>

            <p:column headerText="Visor GIS" id="mostrarVisor"
                      rendered="#{!asignacionRecolector.banderaEsCoordinador}">
                <p:commandButton id="visorGIS" widgetVar="verMapaVar"
                                 title="Zoom a la región" icon="ui-icon ui-icon-zoomin"
                                 onclick="cargarMapaZoomToFeature('#{asignacionRecolector.applicationClientName}',
                                                 '#{asignacionRecolector.tokenParam}',
                                                 '#{asignacionRecolector.moduleLayer}',
                                                 '#{asignacionRecolector.moduleTools}',
                                                 '#{region.cadenaDeManzanasVeredas}');"
                                 process="@this" />
            </p:column>

            <p:column headerText="Id">
                <h:outputText value="#{region.id}" styleClass="outputTextStyle" />
            </p:column>


            <p:column headerText="Estado">
                <h:outputText value="#{region.estado}" styleClass="outputTextStyle" />
            </p:column>

            <p:column headerText="Fecha de asignación ">
                <h:outputText value="#{region.fechaAsignacionRecolector}"
                              styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                       timeZone="GMT-5" />
                </h:outputText>
            </p:column>

            <p:column headerText="Observación"
                      rendered="#{asignacionRecolector.banderaEsCoordinador}">
                <h:outputText value="#{region.observaciones}"
                              styleClass="outputTextStyle" />
            </p:column>

        </p:dataTable>

    </p:fieldset>

    <h:panelGrid columns="1" cellspacing="7" id="botonesPG">
        <p:commandButton id="verTodasRegionesRecolector"
                         widgetVar="verTodasRegionesRecolectorWV"
                         value="Visualizar todas las regiones"
                         rendered="#{!asignacionRecolector.banderaEsCoordinador}"
                         icon="ui-icon ui-icon-zoomin"
                         onclick="cargarMapaZoomToFeature('#{asignacionRecolector.applicationClientName}',
                                         '#{asignacionRecolector.tokenParam}',
                                         '#{asignacionRecolector.moduleLayer}',
                                         '#{asignacionRecolector.moduleTools}',
                                         '#{asignacionRecolector.manzanaVeredaCodigo}');" />

    </h:panelGrid>

</h:form>


